# ImageFilterType enum

The image filter types.

Inheritance
  - Object
  - Enum
  - ImageFilterType
Available extensions
  - EnumName
  - ImageFilterTypeExtension

## Values

NONE → const ImageFilterType

  Passthrough filter. Does not alter the image. */

COLOR → const ImageFilterType

  Optimizes colors, contrast and brightness. Usecase: photos. */

GRAYSCALE → const ImageFilterType

  Standard grayscale filter. Creates a grayscaled 8-bit image and optimizes contrast and dynamic range. */

BINARIZED → const ImageFilterType

  Standard binarization filter with contrast optimization. Creates a grayscaled 8-bit image with mostly black or white pixels. Usecase: Preparation for optical character recognition. */

COLOR_DOCUMENT → const ImageFilterType

  Fixes white-balance and cleans up the background. Usecase: images of paper documents. */

PURE_BINARIZED → const ImageFilterType

  A filter for binarizing an image. Creates an 8-bit image with pixel values set to eiter 0 or 255. Usecase: Preparation for optical character recognition. */

BACKGROUND_CLEAN → const ImageFilterType

  Cleans up the background and tries to preserve photos within the image. Usecase: magazine pages, flyers. */

BLACK_AND_WHITE → const ImageFilterType

  Black and white filter with background cleaning. Creates a grayscaled 8-bit image with mostly black or white pixels. Usecase: Textual documents or documents with black and white illustrations. */

OTSU_BINARIZATION → const ImageFilterType

  A filter for black and white conversion using OTSU binarization. */

DEEP_BINARIZATION → const ImageFilterType

  A filter for black and white conversion primary used for low-contrast documents. */

EDGE_HIGHLIGHT → const ImageFilterType

  A filter that enhances edges in low-contrast documents. */

LOW_LIGHT_BINARIZATION → const ImageFilterType

  Binarization filter primary inteded to use on low-contrast documents with heavy shadows. */

LOW_LIGHT_BINARIZATION_2 → const ImageFilterType

  Binarization filter primary intended to use on low-contrast documents with heavy shadows. */

SENSITIVE_BINARIZATION → const ImageFilterType

  Binarization filter for poor quality printed papers. */

PURE_GRAY → const ImageFilterType

  Standard grayscale filter. Creates a grayscaled 8-bit image. */

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
name → String

  Available on Enum, provided by the EnumName extension

  The name of the enum value.
  no setter
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
typeIndex → int

  Available on ImageFilterType, provided by the ImageFilterTypeExtension extension

  no setter

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<ImageFilterType>
  A constant List of the values in this enum, in order of their declaration.